#ifndef DSSD_h
#define DSSD_h

#include <TROOT.h>
#include <iostream>

#include <TObject.h>
#include <TMath.h>
#include <TVector3.h>

using namespace std;
class DSSD 
{
public:
	DSSD();
	virtual ~DSSD(){}

	void Clear();
	void HitEP(Double_t distmp=-1, Double_t thetatmp=0.,Double_t phitmp=0.);
	Double_t x[32];
	Double_t y[32];
	Double_t xt[32];
	Double_t yt[32];
	// hit position 
	Int_t xp[3];
	Int_t yp[3];
	Double_t theta[3];
	Double_t phi[3];
	// hit energy for front and back
	Double_t xe[3];
	Double_t ye[3];
};


class SSSD
{
public:
	SSSD();
	virtual ~SSSD(){}

	void Clear();
	void HitEP(Double_t dis=-1, Double_t thetatmp=0., Double_t phitmp=0.);
	Double_t x[16];
	Double_t xt[16];
   
	Int_t xp[3];
	Double_t theta[3];
	Double_t xe[3];
};

class SSD
{
public:
	SSD();
	virtual ~SSD(){}
	void Clear();
		
	Int_t xe;
};


#endif
